%global enable_tests 1

Name:           nodejs-mbtiles
Version:        0.3.2
Release:        1%{?dist}
Summary:        Utilities and tilelive integration for the MBTiles format

License:        BSD
URL:            https://github.com/mapbox/node-mbtiles
Source0:        http://registry.npmjs.org/mbtiles/-/mbtiles-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(sphericalmercator)
BuildRequires:  npm(sqlite3)
%endif

%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -pr lib/schema.sql %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{nodejs_sitelib}/mbtiles
cp -pr package.json %{buildroot}/%{nodejs_sitelib}/mbtiles
mkdir -p %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
cp -pr lib/*.js %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
ln -s %{_datadir}/%{name}/schema.sql  %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha
%endif


%files
%doc LICENSE README.md CHANGELOG.md
%{nodejs_sitelib}/mbtiles
%{_datadir}/%{name}


%changelog
* Sun Jul 28 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Update to 0.3.2 upstream release

* Mon Jul 15 2013 Tom Hughes <tom@compton.nu> - 0.3.1-1
- Update to 0.3.1 upstream release
- Update to latest nodejs packaging standards
- Switch to running tests using mocha

* Tue Apr 16 2013 Tom Hughes <tom@compton.nu> - 0.2.8-3
- Rebuild against nodejs-optimist 0.4.0

* Tue Mar 19 2013 Tom Hughes <tom@compton.nu> - 0.2.8-2
- Avoid deleting schema.sql in %%install
- Add manual pages

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.2.8-1
- Initial build of 0.2.8
